<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>User Index</title>
<link rel="stylesheet" th:href="@{/css/bootstrap.min.css}"/>
<link rel="stylesheet" th:href="@{/css/style.css}"/>
</head>
<body>
<input type="hidden" id="user" th:value="${userName}">
<div class="container">
		<div class="row">
			<div class="col-12">
			<br>
			<br>
			<div class="row">
				<div class="col-12" th:switch="${role}">
				<div th:case="ROLE_ADMIN"><a th:href="@{/admin}" class="float-right">Home</a></div>
				<div th:case="ROLE_USER"><a th:href="@{/user}" class="float-right">Home</a></div>
			</div>
			</div>
				<h1>Transaction History</h1>
				<table class="table table-stripped">
					<thead>
						<tr>
							<th>Purchase Date</th>
							<th>Products</th>
							<th>Quantity</th>
							<th>Prices</th>
							<th>Total Price</th>
						</tr>
					</thead>
					<tbody>
						<tr th:each = "order : ${orders}">
							<td th:text="${#dates.format(order.orderDate, 'dd-MM-yyyy HH:mm')}"></td>
							<td>
								<ul th:each="item : ${order.items}">
								  <li th:text="${item.product.getProductName()}" class="text-left"></li>
								</ul>
							</td>
							<td>
								<ul th:each="item : ${order.items}" >
								  <li th:text="${item.quantity}"></li>
								</ul>
							</td>
							<td>
								<ul th:each="item : ${order.items}">
								  <li th:text="${item.totalPrice}"></li>
								</ul>
							</td>
							<td th:text="${order.totalPrice}"></td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>


	<script th:src="@{/js/jquery.min.js}"></script>
	<script th:src="@{/js/custom.js}"></script>
	<script src="https://npmcdn.com/tether@1.2.4/dist/js/tether.min.js"></script>
	<script th:src="@{/js/bootstrap.min.js}"></script>


</body>
</html>